%define package_name	glibwww
%define	major	1
%define version 0.2
%define release 3mdk

Summary: Libwww wrapper using glib event loop
Name: lib%{package_name}%{major}
Version: %{version}
Release: %{release}
Source0: ftp://www.gnome.org/pub/GNOME/unstable/sources/glibwww/%{package_name}-%{version}.tar.bz2
Copyright: LGPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	db1-devel gnome-libs-devel openssl-devel w3c-libwww-devel zlib-devel
Requires: w3c-libwww


%description
Event register/unregister functions that use the glib event loop. 
This makes libwww fit nicely into just about any gnome or gtk+ program.

This code may be useful for other people wanting to use libwww with gtk. 

This code includes a nice bonobo control.

%package devel
Provides:		lib%{package_name}-devel
Summary:        Development libraries, header files and utilities for glibwww
Group:			Development/GNOME and GTK+
Requires:		%{name} = %{version}
Requires:		w3c-libwww-devel

%description devel
Development files for glibwww

Event register/unregister functions that use the glib event loop. 
This makes libwww fit nicely into just about any gnome or gtk+ program.



%prep
%setup -q -n %{package_name}-%{version}

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog INSTALL AUTHORS 
%{_libdir}/*.sh
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/glibwww


%changelog
* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2-3mdk
- BuildRequires: db1-devel
- BuildRequires: openssl-devel
- BuildRequires: zlib-devel
- Remove BuildRequires:	ORBit-devel
- Remove BuildRequires:	glib-devel

* Mon Nov  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-2mdk
- Add missing dependency of devel on w3c-libwww-devel
- Rename packages

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- First Mandrake package


# end of file
